summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJon Hood <squinky86@gentoo.org>2004-09-12 04:26:26 +0000
committerJon Hood <squinky86@gentoo.org>2004-09-12 04:26:26 +0000
commit77da86293925ebb13f2ca99e4f5163621f76c4da (patch)
tree9707e911aec594fb35616cbd1c28c4a26e02fbfb /net-p2p/gift-gnutella/files
parentversion bump (bug #63152) (Manifest recommit) (diff)
downloadgentoo-2-77da86293925ebb13f2ca99e4f5163621f76c4da.tar.gz
gentoo-2-77da86293925ebb13f2ca99e4f5163621f76c4da.tar.bz2
gentoo-2-77da86293925ebb13f2ca99e4f5163621f76c4da.zip
fix gwebcaches correctly this time
Diffstat (limited to 'net-p2p/gift-gnutella/files')
-rw-r--r--net-p2p/gift-gnutella/files/0.0.9.2-nodes.patch.bz2bin1693 -> 0 bytes
-rw-r--r--net-p2p/gift-gnutella/files/cacheupdate.sh16
2 files changed, 16 insertions, 0 deletions
diff --git a/net-p2p/gift-gnutella/files/0.0.9.2-nodes.patch.bz2 b/net-p2p/gift-gnutella/files/0.0.9.2-nodes.patch.bz2
deleted file mode 100644
index 6386a2827c34..000000000000
--- a/net-p2p/gift-gnutella/files/0.0.9.2-nodes.patch.bz2
+++ /dev/null
Binary files differ
diff --git a/net-p2p/gift-gnutella/files/cacheupdate.sh b/net-p2p/gift-gnutella/files/cacheupdate.sh
new file mode 100644
index 000000000000..a86eebdc65c3
--- /dev/null
+++ b/net-p2p/gift-gnutella/files/cacheupdate.sh
@@ -0,0 +1,16 @@
+#!/bin/bash
+# Copyright 1999-2004 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-p2p/gift-gnutella/files/cacheupdate.sh,v 1.1 2004/09/12 04:26:26 squinky86 Exp $
+
+if [ -d ~/.giFT/Gnutella/ ]; then
+ cd ~/.giFT/Gnutella
+ wget http://gwebcache.squinky.gotdns.com/perlgcache.cgi?get=1\&hostfile=1\&net=gnutella2\&client=GEN2\&version=0.1 -O gwebcaches.new || die
+ grep "u|" gwebcaches.new > gwebcaches.new1
+ sed -i -e 's:u|::g' gwebcaches.new1
+ sed -i -e 's:|.*::g' gwebcaches.new1
+ mv gwebcaches.new1 gwebcaches
+ rm gwebcaches.new
+else
+ echo "Please emerge gift-gnutella and run gift-setup."
+fi